<?php
if ( class_exists( 'StaffscoutCoreClassWidget' ) ) {
	
	class StaffScoutMikadoClassButtonWidget extends StaffscoutCoreClassWidget {
		public function __construct() {
			parent::__construct(
				'mkdf_button_widget',
				esc_html__( 'Mikado Button Widget', 'mkdf-core' ),
				array( 'description' => esc_html__( 'Add button element to widget areas', 'mkdf-core' ) )
			);
			
			$this->setParams();
		}
		
		protected function setParams() {
			$this->params = array(
				array(
					'type'    => 'dropdown',
					'name'    => 'type',
					'title'   => esc_html__( 'Type', 'mkdf-core' ),
					'options' => array(
						'solid'   => esc_html__( 'Solid', 'mkdf-core' ),
						'outline' => esc_html__( 'Outline', 'mkdf-core' ),
						'simple'  => esc_html__( 'Simple', 'mkdf-core' )
					)
				),
				array(
					'type'        => 'dropdown',
					'name'        => 'size',
					'title'       => esc_html__( 'Size', 'mkdf-core' ),
					'options'     => array(
						'small'  => esc_html__( 'Small', 'mkdf-core' ),
						'medium' => esc_html__( 'Medium', 'mkdf-core' ),
						'large'  => esc_html__( 'Large', 'mkdf-core' ),
						'huge'   => esc_html__( 'Huge', 'mkdf-core' )
					),
					'description' => esc_html__( 'This option is only available for solid and outline button type', 'mkdf-core' )
				),
				array(
					'type'    => 'textfield',
					'name'    => 'text',
					'title'   => esc_html__( 'Text', 'mkdf-core' ),
					'default' => esc_html__( 'Button Text', 'mkdf-core' )
				),
				array(
					'type'  => 'textfield',
					'name'  => 'link',
					'title' => esc_html__( 'Link', 'mkdf-core' )
				),
				array(
					'type'    => 'dropdown',
					'name'    => 'target',
					'title'   => esc_html__( 'Link Target', 'mkdf-core' ),
					'options' => staffscout_mikado_get_link_target_array()
				),
				array(
					'type'  => 'textfield',
					'name'  => 'color',
					'title' => esc_html__( 'Color', 'mkdf-core' )
				),
				array(
					'type'  => 'textfield',
					'name'  => 'hover_color',
					'title' => esc_html__( 'Hover Color', 'mkdf-core' )
				),
				array(
					'type'        => 'textfield',
					'name'        => 'background_color',
					'title'       => esc_html__( 'Background Color', 'mkdf-core' ),
					'description' => esc_html__( 'This option is only available for solid button type', 'mkdf-core' )
				),
				array(
					'type'        => 'textfield',
					'name'        => 'hover_background_color',
					'title'       => esc_html__( 'Hover Background Color', 'mkdf-core' ),
					'description' => esc_html__( 'This option is only available for solid button type', 'mkdf-core' )
				),
				array(
					'type'        => 'textfield',
					'name'        => 'border_color',
					'title'       => esc_html__( 'Border Color', 'mkdf-core' ),
					'description' => esc_html__( 'This option is only available for solid and outline button type', 'mkdf-core' )
				),
				array(
					'type'        => 'textfield',
					'name'        => 'hover_border_color',
					'title'       => esc_html__( 'Hover Border Color', 'mkdf-core' ),
					'description' => esc_html__( 'This option is only available for solid and outline button type', 'mkdf-core' )
				),
				array(
					'type'        => 'textfield',
					'name'        => 'margin',
					'title'       => esc_html__( 'Margin', 'mkdf-core' ),
					'description' => esc_html__( 'Insert margin in format: top right bottom left (e.g. 10px 5px 10px 5px)', 'mkdf-core' )
				),
				array(
					'type'        => 'textfield',
					'name'        => 'padding',
					'title'       => esc_html__( 'Button Padding', 'mkdf-core' ),
					'description' => esc_html__( 'Insert padding in format: top right bottom left (e.g. 10px 5px 10px 5px)', 'mkdf-core' )
				)
			);
		}
		
		public function widget( $args, $instance ) {
			$params = '';
			
			if ( ! is_array( $instance ) ) {
				$instance = array();
			}
			
			// Filter out all empty params
			$instance = array_filter( $instance, function ( $array_value ) {
				return trim( $array_value ) != '';
			} );
			
			// Default values
			if ( ! isset( $instance['text'] ) ) {
				$instance['text'] = 'Button Text';
			}
			
			// Generate shortcode params
			foreach ( $instance as $key => $value ) {
				$params .= " $key='$value' ";
			}
			
			echo '<div class="widget mkdf-button-widget">';
			echo do_shortcode( "[mkdf_button $params]" ); // XSS OK
			echo '</div>';
		}
	}
}