<?php

if ( ! function_exists( 'staffscout_core_load_widget_class' ) ) {
    /**
     * Loades widget class file.
     */
    function staffscout_core_load_widget_class() {
        include_once 'widget-class.php';
    }

    add_action( 'staffscout_mikado_before_options_map', 'staffscout_core_load_widget_class' );
}

if ( ! function_exists( 'staffscout_core_load_widgets' ) ) {
    /**
     * Loades all widgets by going through all folders that are placed directly in widgets folder
     * and loads load.php file in each. Hooks to staffscout_mikado_before_options_map action
     */
    function staffscout_core_load_widgets() {

        if ( mkdf_core_theme_installed() ) {
            foreach ( glob( MIKADO_CORE_WIDGETS_PATH.'/*/load.php' ) as $widget_load ) {
                include_once $widget_load;
            }
        }

        include_once 'widget-loader.php';
    }

    add_action( 'staffscout_mikado_before_options_map', 'staffscout_core_load_widgets' );
}