<?php

if ( ! function_exists('mkdf_listing_resume_options_map') ) {

	function mkdf_listing_resume_options_map() {

		staffscout_mikado_add_admin_page( array(
			'slug'  => '_resume',
			'title' =>  esc_html__('Resume', 'mkdf-listing'),
			'icon'  => 'fa fa-camera-retro'
		) );

		$panel_archive = staffscout_mikado_add_admin_panel( array(
			'title' => esc_html__('Archive', 'mkdf-listing'),
			'name'  => esc_html__('panel_archive', 'mkdf-listing'),
			'page'  => '_resume'
		) );

		staffscout_mikado_add_admin_field(
			array(
				'parent'		=> $panel_archive,
				'type'			=> 'text',
				'name'			=> esc_html__('resumes_per_page', 'mkdf-listing'),
				'default_value'	=> '',
				'label'			=> esc_html__('Number of resumes per page', 'mkdf-listing'),
				'args'        => array(
					'col_width' => 3
				)
			)
		);
		staffscout_mikado_add_admin_field(
			array(
				'parent'		=> $panel_archive,
				'type'			=> 'yesno',
				'name'			=> esc_html__('resumes_archive_load_more', 'mkdf-listing'),
				'default_value'	=> 'yes',
				'label'			=> esc_html__('Load More on Archive Pages', 'mkdf-listing'),
				'description'	=> '',
			)
		);

		$panel_maps = staffscout_mikado_add_admin_panel( array(
			'title' => 'Maps',
			'name'  => esc_html__('panel_maps', 'mkdf-listing'),
			'page'  => '_resume'
		) );

		staffscout_mikado_add_admin_field(
			array(
				'parent'		=> $panel_maps,
				'type'			=> 'textarea',
				'name'			=> esc_html__('resume_map_style', 'mkdf-listing'),
				'default_value'	=> '',
				'label'			=> esc_html__('Maps Style', 'mkdf-listing'),
				'description'	=> esc_html__('Insert map style json', 'mkdf-listing'),
			)
		);

		staffscout_mikado_add_admin_field(
			array(
				'parent'		=> $panel_maps,
				'type'			=> 'yesno',
				'name'			=> esc_html__('resume_maps_scrollable', 'mkdf-listing'),
				'default_value'	=> 'yes',
				'label'			=> esc_html__('Scrollable Maps', 'mkdf-listing'),
				'description'	=> '',
			)
		);

		staffscout_mikado_add_admin_field(
			array(
				'parent'		=> $panel_maps,
				'type'			=> 'yesno',
				'name'			=> esc_html__('resume_maps_draggable', 'mkdf-listing'),
				'default_value'	=> 'yes',
				'label'			=> esc_html__('Draggable Maps', 'mkdf-listing'),
				'description'	=> '',
			)
		);

		staffscout_mikado_add_admin_field(
			array(
				'parent'		=> $panel_maps,
				'type'			=> 'yesno',
				'name'			=> esc_html__('resume_maps_street_view_control', 'mkdf-listing'),
				'default_value'	=> 'yes',
				'label'			=> esc_html__('Maps Street View Controls', 'mkdf-listing'),
				'description'	=> '',
			)
		);

		staffscout_mikado_add_admin_field(
			array(
				'parent'		=> $panel_maps,
				'type'			=> 'yesno',
				'name'			=> esc_html__('resume_maps_zoom_control', 'mkdf-listing'),
				'default_value'	=> 'yes',
				'label'			=> esc_html__('Maps Zoom Control', 'mkdf-listing'),
				'description'	=> '',
			)
		);

		staffscout_mikado_add_admin_field(
			array(
				'parent'		=> $panel_maps,
				'type'			=> 'yesno',
				'name'			=> esc_html__('resume_maps_type_control', 'mkdf-listing'),
				'default_value'	=> 'yes',
				'label'			=> esc_html__('Maps Type Control', 'mkdf-listing'),
				'description'	=> '',
			)
		);

        $panel_terms = staffscout_mikado_add_admin_panel( array(
            'title' => 'Terms And Conditions',
            'name'  => esc_html__('panel_terms', 'mkdf-listing'),
            'page'  => '_resume'
        ) );

        staffscout_mikado_add_admin_field(
            array(
                'parent'		=> $panel_terms,
                'type'			=> 'text',
                'name'			=> esc_html__('resume_item_terms_link', 'mkdf-listing'),
                'default_value'	=> '',
                'label'			=> esc_html__('Terms And Conditions Page URL', 'mkdf-listing'),
                'description'   => esc_html__('Enter the page URL with terms and conditions.','mkdf-listing')
            )
        );


	}
	add_action( 'staffscout_mikado_options_map', 'mkdf_listing_resume_options_map', 15);
}